#include <stdio.h>
#include <stdlib.h>

int main(){
    char c1, c2;
    long int a1, a2, i;
    scanf("%c%c", &c1, &c2);
    scanf("%ld %ld", &a1, &a2);
    char rezultat[a1+a2];
    if(abs(a1-a2)>1)
        printf("nemoguce");
    else{
        if(a1>a2)
            while(a1>0 || a2>0){
                if(i%2==0){
                    rezultat[i]=c1;
                    a1--;
                }
                else{
                    rezultat[i]=c2;
                    a2--;
                }
                i++;
            }
        else
            while(a1>0 || a2>0){
                if(i%2==0){
                    rezultat[i]=c2;
                    a2--;
                }
                else{
                    rezultat[i]=c1;
                    a1--;
                }
                i++;
            }
    rezultat[i]='\0';
    printf("%s\n",rezultat);
    }
    return 0;
}